<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Tables, Forms, and Semantic</title>
</head>
<body>
	<!-- SEMANTIC HTML -->
	<!--  
		Semanitc HTML is a way to write HTML code in a more descriptive or concise way. It has better readability compared to its non-semantic counterparts.

		Ex.
		header tag, main tag, section tag
	-->
	<header>
		<h1>HTML Tables and Forms</h1>
	</header>

	<main>
		<section>
			<h2>HTML Entities</h2>
			<p><em>Reserved character in HTML</em></p>

			<!-- HTML TABLES -->
			<!-- 
				A way to build a table within HTML (Denoted by the <table> tag). Tables have 3 common tags within them. These are:
				1. thead tag - specifies the headings of the table
				2. tbody tag - specifies the content/data of the table
				3. tfoot tag - specifies the footer of the table
			 -->
			<table border= "1">
                <thead>
                    <tr>
                        <th colspan="2">Entity</th>
                        <th>Description</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td><</td>
                        <td>lt</td>
                        <td>less than</td>
                    </tr>
                    <tr>
                        <td>></td>
                        <td>gt</td>
                        <td>greater than</td>
                    </tr>
                    <tr>
                        <td>&#8369;</td>
                        <td>#8369</td>
                        <td>peso sign</td>
                    </tr>
                    <tr>
                        <td>&amp;</td>
                        <td>amp</td>
                        <td>ampersand</td>
                    </tr>
                    <tr>
                        <td>&#8369;</td>
                        <td>#8369</td>
                        <td>peso sign</td>
                    </tr>
                    <tr>
                        <td>&quot;</td>
                        <td>quot</td>
                        <td>double quotation marks</td>
                    </tr>
                    <tr>
                        <td>&apos;</td>
                        <td>apos</td>
                        <td>single quotation marks</td>
                    </tr>
                    <tr>
                        <td>&ntilde;</td>
                        <td>ntilde</td>
                        <td>Lower Tilde</td>
                    </tr>
                    <tr>
                        <td>&Ntilde;</td>
                        <td>Ntilde</td>
                        <td>Upper Tilde</td>
                    </tr>
                </tbody>
                <tfoot>
                    <tr>
                        <th colspan="3">List of HTML entities</th>
                    </tr>
                </tfoot>
            </table>


            <!-- HTML FORMS -->
            <!-- Forms are a way for HTMl to take data from the suer -->
            <h2>HTML Forms</h2>
            <p><em>Input elements that make up a form</em></p>

            <form action="#">
            	<!-- Labels are the text label of inputs. We specify the label of a specific input by having two things -->
            	<!--
            		1. for attribute on the label tag
            		2. name attribute on the input tag
            		NOTE: The 'for' and 'name' attribute must be similar 
            	 -->

            	<label for="full_name">Full Name:</label>
            	<br>
            	<input type="text" name="full_name" required>
            	<br>

            	<label for="birth_date">Birth Date:</label>
            	<br>
            	<input type="date" name="birth_date" required>
            	<br>

            	<label for="age">Age</label>
            	<br>
            	<input type="number" name="age" required>
            	<br>


            	<!-- Select tags allow for option within a form. It shows up in a form of a dropdown. You can add as many option tags inside a select tag-->
            	<label for="gender">Gender:</label>
            	<br>
            	<select name="gender">
            		<option value="Male">Male</option>
            		<option value="Female">Female</option>
            	</select>
            	<br>

            	<label for="notes">Notes:</label>
            	<br>
            	<textarea name="notes" rows="5"></textarea>
            	<br>

            	<!-- You can use radio type of input to allow the user to select only one of the options within a form structure -->
            	<label for="new_user">New User:</label>
            	<br>
            	<input type="radio" name="new_user" id="user-type1">
            	<label for="user-type1"> Yes</label>
            	<input type="radio" name="new_user" id="user-type2">
            	<label for="user-type2"> No</label>

            	<br>

            	<!-- The type submit sends the overall data within the form to the URL at the 'action' attribute of the form tag -->
            	<button type="submit">Submit</button>
            	<!-- The type reset clearsall the inputted data within the form -->
            	<button type="reset">Reset</button>
            </form>
		</section>

	</main>
</body>
</html>